Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d
Class DefaultTransform

    java.lang.Object
      sim.portrayal3d.DefaultTransform

public class DefaultTransform
extends java.lang.Object

See Also:
  `for grids.`

Constructor Summary
`DefaultTransform()`

Method Summary
`static javax.media.j3d.Transform3D` | `getDefaultTransform(double width, double height, double length)`
`static javax.media.j3d.Transform3D` | `getDefaultTransform(double width, double height, double length, double scale)`
`static javax.media.j3d.Transform3D` | `getDefaultTransform(double x, double y, double z, double width, double height, double length)`
`static javax.media.j3d.Transform3D` | `getDefaultTransform(double x, double y, double z, double width, double height, double length, double scale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTransform

    public DefaultTransform()

Method Detail

### getDefaultTransform

    public static javax.media.j3d.Transform3D getDefaultTransform(double x,
                                                                  double y,
                                                                  double z,
                                                                  double width,
                                                                  double height,
                                                                  double length,
                                                                  double scale)

### getDefaultTransform

    public static javax.media.j3d.Transform3D getDefaultTransform(double x,
                                                                  double y,
                                                                  double z,
                                                                  double width,
                                                                  double height,
                                                                  double length)

### getDefaultTransform

    public static javax.media.j3d.Transform3D getDefaultTransform(double width,
                                                                  double height,
                                                                  double length,
                                                                  double scale)

### getDefaultTransform

    public static javax.media.j3d.Transform3D getDefaultTransform(double width,
                                                                  double height,
                                                                  double length)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD